Bug 1224045 - DeviceCreateError: ('Process reported exit code 1280: A volume group called fedora already exists.\n', 'fedora')
Summary: DeviceCreateError: ('Process reported exit code 1280: A volume group called...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 22
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vratislav Podzimek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c6136a18f7ce8cb09de70092721...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-22 05:46 UTC by Mike Ruckman
Modified: 2016-07-19 14:11 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 14:11:58 UTC


Attachments (Terms of Use)
File: anaconda-tb (457.16 KB, text/plain)
2015-05-22 05:46 UTC, Mike Ruckman
no flags Details
File: anaconda.log (19.12 KB, text/plain)
2015-05-22 05:46 UTC, Mike Ruckman
no flags Details
File: dnf.log (11.25 KB, text/plain)
2015-05-22 05:46 UTC, Mike Ruckman
no flags Details
File: environ (492 bytes, text/plain)
2015-05-22 05:46 UTC, Mike Ruckman
no flags Details
File: lsblk_output (2.46 KB, text/plain)
2015-05-22 05:46 UTC, Mike Ruckman
no flags Details
File: nmcli_dev_list (1.53 KB, text/plain)
2015-05-22 05:46 UTC, Mike Ruckman
no flags Details
File: os_info (447 bytes, text/plain)
2015-05-22 05:46 UTC, Mike Ruckman
no flags Details
File: program.log (29.94 KB, text/plain)
2015-05-22 05:46 UTC, Mike Ruckman
no flags Details
File: storage.log (111.28 KB, text/plain)
2015-05-22 05:46 UTC, Mike Ruckman
no flags Details
File: syslog (102.68 KB, text/plain)
2015-05-22 05:46 UTC, Mike Ruckman
no flags Details
File: ifcfg.log (2.27 KB, text/plain)
2015-05-22 05:46 UTC, Mike Ruckman
no flags Details
File: packaging.log (1.07 KB, text/plain)
2015-05-22 05:46 UTC, Mike Ruckman
no flags Details

Description Mike Ruckman 2015-05-22 05:46:17 UTC
Description of problem:
Set up RAID0 array.
Start anaconda.
Select array in storage spoke.
Begin installation.
Crash.

Version-Release number of selected component:
anaconda-22.20.13-1

The following was filed automatically by anaconda:
anaconda 22.20.13-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/devices/storage.py", line 501, in create
    raise errors.DeviceCreateError(str(e), self.name)
  File "/usr/lib/python2.7/site-packages/blivet/deviceaction.py", line 303, in execute
    self.device.create()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 362, in processActions
    action.execute(callbacks)
  File "/usr/lib/python2.7/site-packages/blivet/blivet.py", line 162, in doIt
    self.devicetree.processActions(callbacks)
  File "/usr/lib/python2.7/site-packages/blivet/osinstall.py", line 1057, in turnOnFilesystems
    storage.doIt(callbacks)
  File "/usr/lib/python2.7/site-packages/pyanaconda/install.py", line 196, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall, callbacks=callbacks_reg)
  File "/usr/lib/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/python2.7/site-packages/pyanaconda/threads.py", line 244, in run
    threading.Thread.run(self, *args, **kwargs)
DeviceCreateError: ('Process reported exit code 1280:   A volume group called fedora already exists.\n', 'fedora')

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python2  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-22-i386 quiet
dnf.rpm.log:    May 22 05:42:45 INFO --- logging initialized ---
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.0.4-301.fc22.i686
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        22

Comment 1 Mike Ruckman 2015-05-22 05:46:20 UTC
Created attachment 1028536 [details]
File: anaconda-tb

Comment 2 Mike Ruckman 2015-05-22 05:46:21 UTC
Created attachment 1028537 [details]
File: anaconda.log

Comment 3 Mike Ruckman 2015-05-22 05:46:22 UTC
Created attachment 1028538 [details]
File: dnf.log

Comment 4 Mike Ruckman 2015-05-22 05:46:23 UTC
Created attachment 1028539 [details]
File: environ

Comment 5 Mike Ruckman 2015-05-22 05:46:23 UTC
Created attachment 1028540 [details]
File: lsblk_output

Comment 6 Mike Ruckman 2015-05-22 05:46:24 UTC
Created attachment 1028541 [details]
File: nmcli_dev_list

Comment 7 Mike Ruckman 2015-05-22 05:46:25 UTC
Created attachment 1028542 [details]
File: os_info

Comment 8 Mike Ruckman 2015-05-22 05:46:26 UTC
Created attachment 1028543 [details]
File: program.log

Comment 9 Mike Ruckman 2015-05-22 05:46:27 UTC
Created attachment 1028544 [details]
File: storage.log

Comment 10 Mike Ruckman 2015-05-22 05:46:28 UTC
Created attachment 1028545 [details]
File: syslog

Comment 11 Mike Ruckman 2015-05-22 05:46:29 UTC
Created attachment 1028546 [details]
File: ifcfg.log

Comment 12 Mike Ruckman 2015-05-22 05:46:30 UTC
Created attachment 1028547 [details]
File: packaging.log

Comment 13 Mike Ruckman 2015-05-22 09:07:40 UTC
Tested this with both the i386 netinst and live image.

Comment 14 Petr Schindler 2015-05-22 10:36:29 UTC
Mike reproduced this by installing on raid. Then he deleted raid and installed again and then created raid again and it failed on next installation.

I tried to reproduce it, but I got crash on the beginning of the second installation (after I deleted RAID volume: bug 1208212).

I think that these two bugs are related to how firmware raid handle creating and deleting of raid volumes. There are probably some leftovers from previous installations (or some flags are set which shouldn't).

Comment 15 Fedora Blocker Bugs Application 2015-05-22 17:17:13 UTC
Proposed as a Blocker for 22-final by Fedora user roshi using the blocker tracking app because:

 Violates the following criterion: "The installer must be able to detect and install to hardware or firmware RAID storage devices."

Comment 16 Kamil Páral 2015-05-22 17:34:55 UTC
Discussed at today's go/no-go meeting [1].

This bug was rejected as F22 Final Blocker - This bug is a corner case, and while it does violate the criteria it's not severe enough to block the release for Fedora 22.

[1] http://meetbot.fedoraproject.org/fedora-meeting-2/2015-05-22/f22_final_gono-go_meeting_-_2.2015-05-22-17.01.log.txt

Comment 17 Jakub Filak 2015-05-27 04:36:57 UTC
Another user experienced a similar problem:

I added /boot as a standard partion, then I accidentaly removed it (hit -) so I had to add it again. Finaly I renamed the vg to 'vgmain', the vg had fixed size, and I created LVs for /, /home, /var and swap. LVs were encrypted.

addons:         com_redhat_kdump
cmdline:        /usr/bin/python2  /sbin/anaconda
cmdline_file:   inst.repo=nfs:nfs.englab.brq.redhat.com:/pub/fedora/linux/development/22/x86_64/os/ initrd=F22/latest/x86_64/initrd.img BOOT_IMAGE=F22/latest/x86_64/vmlinuz 
dnf.rpm.log:    May 27 04:23:31 INFO --- logging initialized ---
hashmarkername: anaconda
kernel:         4.0.4-301.fc22.x86_64
package:        anaconda-22.20.13-1
product:        Fedora
reason:         DeviceCreateError: ('Process reported exit code 1280:   Logical volume "00" already exists in volume group "vgmain"\n', 'vgmain-00')
release:        Cannot get release name.
version:        22

Comment 18 Jakub Filak 2015-05-27 04:43:43 UTC
I got the same backtrace but in my case logical volume "00" already existed in volume group 'vgmain'.

Comment 19 Jakub Filak 2015-05-27 05:03:23 UTC
The GUI created both /var and / LVs with Name "00" and it seems to me that the GUI does that because I renamed the vg.

Comment 20 Vratislav Podzimek 2015-06-01 15:33:15 UTC
Patch for the issue hit by Jakub posted as a PR:
https://github.com/rhinstaller/anaconda/pull/123

Comment 21 Mike McCune 2016-03-28 23:45:25 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 22 Fedora End Of Life 2016-07-19 14:11:58 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.